package com.mortals.xhx.module.error.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.error.model.ErrorLogEntity;
/**
 * 异常日志查询对象
 *
 * @author zxfei
 * @date 2022-08-24
 */
public class ErrorLogQuery extends ErrorLogEntity {
    /** 开始 主键ID */
    private Long idStart;

    /** 结束 主键ID */
    private Long idEnd;

    /** 增加 主键ID */
    private Long idIncrement;

    /** 主键ID列表 */
    private List <Long> idList;

    /** 追踪Id */
    private List<String> traceIDList;

    /** 应用名称，宿主客户端运行唯一标识。 */
    private List<String> appNameList;

    /** 主机名 */
    private List<String> hostNameList;

    /** 消息标识，如用户登录异常。 */
    private List<String> messageList;

    /** 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python) */
    private List<String> platformList;

    /** 主要导致异常函数或方法调用名称及入参 */
    private List<String> culpritList;

    /** 异常事件标记，多个逗号分隔。用以归集异常事件种类。 */
    private List<String> tagsList;

    /** 等级(FATAL，ERROR,WARNING,INFO,DEBUG) */
    private List<String> levelList;

    /** 客户端运行环境变量信息 */
    private List<String> environmentList;

    /** 客户端运行版本信息 */
    private List<String> releaseVersionList;

    /** 指纹标识，对于相同异常事件归集数量使用。 */
    private List<String> fingerprintList;

    /** 线程号 */
    private List<String> threadNoList;

    /** 开始 针对同一个异常事件，数量加1 */
    private Integer checkNumStart;

    /** 结束 针对同一个异常事件，数量加1 */
    private Integer checkNumEnd;

    /** 增加 针对同一个异常事件，数量加1 */
    private Integer checkNumIncrement;

    /** 针对同一个异常事件，数量加1列表 */
    private List <Integer> checkNumList;

    /** 异常堆栈信息 */
    private List<String> errorStackList;

    /** 上下文信息，如js中发送异常事件，定位源码中信息。 */
    private List<String> contextList;

    /** 扩展信息 */
    private List<String> extraList;

    /** 开始 日志时间 */
    private String logTimeStart;

    /** 结束 日志时间 */
    private String logTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ErrorLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ErrorLogQuery> andConditionList;

    public ErrorLogQuery(){}

    /**
     * 获取 开始 主键ID
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 追踪Id
     * @return traceIDList
     */
    public List<String> getTraceIDList(){
        return this.traceIDList;
    }

    /**
     * 设置 追踪Id
     * @param traceIDList
     */
    public void setTraceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
    }
    /**
     * 获取 应用名称，宿主客户端运行唯一标识。
     * @return appNameList
     */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
     * 设置 应用名称，宿主客户端运行唯一标识。
     * @param appNameList
     */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }
    /**
     * 获取 主机名
     * @return hostNameList
     */
    public List<String> getHostNameList(){
        return this.hostNameList;
    }

    /**
     * 设置 主机名
     * @param hostNameList
     */
    public void setHostNameList(List<String> hostNameList){
        this.hostNameList = hostNameList;
    }
    /**
     * 获取 消息标识，如用户登录异常。
     * @return messageList
     */
    public List<String> getMessageList(){
        return this.messageList;
    }

    /**
     * 设置 消息标识，如用户登录异常。
     * @param messageList
     */
    public void setMessageList(List<String> messageList){
        this.messageList = messageList;
    }
    /**
     * 获取 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python)
     * @return platformList
     */
    public List<String> getPlatformList(){
        return this.platformList;
    }

    /**
     * 设置 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python)
     * @param platformList
     */
    public void setPlatformList(List<String> platformList){
        this.platformList = platformList;
    }
    /**
     * 获取 主要导致异常函数或方法调用名称及入参
     * @return culpritList
     */
    public List<String> getCulpritList(){
        return this.culpritList;
    }

    /**
     * 设置 主要导致异常函数或方法调用名称及入参
     * @param culpritList
     */
    public void setCulpritList(List<String> culpritList){
        this.culpritList = culpritList;
    }
    /**
     * 获取 异常事件标记，多个逗号分隔。用以归集异常事件种类。
     * @return tagsList
     */
    public List<String> getTagsList(){
        return this.tagsList;
    }

    /**
     * 设置 异常事件标记，多个逗号分隔。用以归集异常事件种类。
     * @param tagsList
     */
    public void setTagsList(List<String> tagsList){
        this.tagsList = tagsList;
    }
    /**
     * 获取 等级(FATAL，ERROR,WARNING,INFO,DEBUG)
     * @return levelList
     */
    public List<String> getLevelList(){
        return this.levelList;
    }

    /**
     * 设置 等级(FATAL，ERROR,WARNING,INFO,DEBUG)
     * @param levelList
     */
    public void setLevelList(List<String> levelList){
        this.levelList = levelList;
    }
    /**
     * 获取 客户端运行环境变量信息
     * @return environmentList
     */
    public List<String> getEnvironmentList(){
        return this.environmentList;
    }

    /**
     * 设置 客户端运行环境变量信息
     * @param environmentList
     */
    public void setEnvironmentList(List<String> environmentList){
        this.environmentList = environmentList;
    }
    /**
     * 获取 客户端运行版本信息
     * @return releaseVersionList
     */
    public List<String> getReleaseVersionList(){
        return this.releaseVersionList;
    }

    /**
     * 设置 客户端运行版本信息
     * @param releaseVersionList
     */
    public void setReleaseVersionList(List<String> releaseVersionList){
        this.releaseVersionList = releaseVersionList;
    }
    /**
     * 获取 指纹标识，对于相同异常事件归集数量使用。
     * @return fingerprintList
     */
    public List<String> getFingerprintList(){
        return this.fingerprintList;
    }

    /**
     * 设置 指纹标识，对于相同异常事件归集数量使用。
     * @param fingerprintList
     */
    public void setFingerprintList(List<String> fingerprintList){
        this.fingerprintList = fingerprintList;
    }
    /**
     * 获取 线程号
     * @return threadNoList
     */
    public List<String> getThreadNoList(){
        return this.threadNoList;
    }

    /**
     * 设置 线程号
     * @param threadNoList
     */
    public void setThreadNoList(List<String> threadNoList){
        this.threadNoList = threadNoList;
    }
    /**
     * 获取 开始 针对同一个异常事件，数量加1
     * @return checkNumStart
     */
    public Integer getCheckNumStart(){
        return this.checkNumStart;
    }

    /**
     * 设置 开始 针对同一个异常事件，数量加1
     * @param checkNumStart
     */
    public void setCheckNumStart(Integer checkNumStart){
        this.checkNumStart = checkNumStart;
    }

    /**
     * 获取 结束 针对同一个异常事件，数量加1
     * @return $checkNumEnd
     */
    public Integer getCheckNumEnd(){
        return this.checkNumEnd;
    }

    /**
     * 设置 结束 针对同一个异常事件，数量加1
     * @param checkNumEnd
     */
    public void setCheckNumEnd(Integer checkNumEnd){
        this.checkNumEnd = checkNumEnd;
    }

    /**
     * 获取 增加 针对同一个异常事件，数量加1
     * @return checkNumIncrement
     */
    public Integer getCheckNumIncrement(){
        return this.checkNumIncrement;
    }

    /**
     * 设置 增加 针对同一个异常事件，数量加1
     * @param checkNumIncrement
     */
    public void setCheckNumIncrement(Integer checkNumIncrement){
        this.checkNumIncrement = checkNumIncrement;
    }

    /**
     * 获取 针对同一个异常事件，数量加1
     * @return checkNumList
     */
    public List<Integer> getCheckNumList(){
        return this.checkNumList;
    }

    /**
     * 设置 针对同一个异常事件，数量加1
     * @param checkNumList
     */
    public void setCheckNumList(List<Integer> checkNumList){
        this.checkNumList = checkNumList;
    }

    /**
     * 获取 异常堆栈信息
     * @return errorStackList
     */
    public List<String> getErrorStackList(){
        return this.errorStackList;
    }

    /**
     * 设置 异常堆栈信息
     * @param errorStackList
     */
    public void setErrorStackList(List<String> errorStackList){
        this.errorStackList = errorStackList;
    }
    /**
     * 获取 上下文信息，如js中发送异常事件，定位源码中信息。
     * @return contextList
     */
    public List<String> getContextList(){
        return this.contextList;
    }

    /**
     * 设置 上下文信息，如js中发送异常事件，定位源码中信息。
     * @param contextList
     */
    public void setContextList(List<String> contextList){
        this.contextList = contextList;
    }
    /**
     * 获取 扩展信息
     * @return extraList
     */
    public List<String> getExtraList(){
        return this.extraList;
    }

    /**
     * 设置 扩展信息
     * @param extraList
     */
    public void setExtraList(List<String> extraList){
        this.extraList = extraList;
    }
    /**
     * 获取 开始 日志时间
     * @return logTimeStart
     */
    public String getLogTimeStart(){
        return this.logTimeStart;
    }

    /**
     * 设置 开始 日志时间
     * @param logTimeStart
     */
    public void setLogTimeStart(String logTimeStart){
        this.logTimeStart = logTimeStart;
    }

    /**
     * 获取 结束 日志时间
     * @return logTimeEnd
     */
    public String getLogTimeEnd(){
        return this.logTimeEnd;
    }

    /**
     * 设置 结束 日志时间
     * @param logTimeEnd
     */
    public void setLogTimeEnd(String logTimeEnd){
        this.logTimeEnd = logTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID
     * @param id
     */
    public ErrorLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID
     * @param idStart
     */
    public ErrorLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID
     * @param idEnd
     */
    public ErrorLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID
     * @param idIncrement
     */
    public ErrorLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID
     * @param idList
     */
    public ErrorLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 追踪Id
     * @param traceID
     */
    public ErrorLogQuery traceID(String traceID){
        setTraceID(traceID);
        return this;
    }

    /**
     * 设置 追踪Id
     * @param traceIDList
     */
    public ErrorLogQuery traceIDList(List<String> traceIDList){
        this.traceIDList = traceIDList;
        return this;
    }


    /**
     * 设置 应用名称，宿主客户端运行唯一标识。
     * @param appName
     */
    public ErrorLogQuery appName(String appName){
        setAppName(appName);
        return this;
    }

    /**
     * 设置 应用名称，宿主客户端运行唯一标识。
     * @param appNameList
     */
    public ErrorLogQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
        return this;
    }


    /**
     * 设置 主机名
     * @param hostName
     */
    public ErrorLogQuery hostName(String hostName){
        setHostName(hostName);
        return this;
    }

    /**
     * 设置 主机名
     * @param hostNameList
     */
    public ErrorLogQuery hostNameList(List<String> hostNameList){
        this.hostNameList = hostNameList;
        return this;
    }


    /**
     * 设置 消息标识，如用户登录异常。
     * @param message
     */
    public ErrorLogQuery message(String message){
        setMessage(message);
        return this;
    }

    /**
     * 设置 消息标识，如用户登录异常。
     * @param messageList
     */
    public ErrorLogQuery messageList(List<String> messageList){
        this.messageList = messageList;
        return this;
    }


    /**
     * 设置 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python)
     * @param platform
     */
    public ErrorLogQuery platform(String platform){
        setPlatform(platform);
        return this;
    }

    /**
     * 设置 当前客户端使用平台(java,php,c#,android,vue,webos,ios,python)
     * @param platformList
     */
    public ErrorLogQuery platformList(List<String> platformList){
        this.platformList = platformList;
        return this;
    }


    /**
     * 设置 主要导致异常函数或方法调用名称及入参
     * @param culprit
     */
    public ErrorLogQuery culprit(String culprit){
        setCulprit(culprit);
        return this;
    }

    /**
     * 设置 主要导致异常函数或方法调用名称及入参
     * @param culpritList
     */
    public ErrorLogQuery culpritList(List<String> culpritList){
        this.culpritList = culpritList;
        return this;
    }


    /**
     * 设置 异常事件标记，多个逗号分隔。用以归集异常事件种类。
     * @param tags
     */
    public ErrorLogQuery tags(String tags){
        setTags(tags);
        return this;
    }

    /**
     * 设置 异常事件标记，多个逗号分隔。用以归集异常事件种类。
     * @param tagsList
     */
    public ErrorLogQuery tagsList(List<String> tagsList){
        this.tagsList = tagsList;
        return this;
    }


    /**
     * 设置 等级(FATAL，ERROR,WARNING,INFO,DEBUG)
     * @param level
     */
    public ErrorLogQuery level(String level){
        setLevel(level);
        return this;
    }

    /**
     * 设置 等级(FATAL，ERROR,WARNING,INFO,DEBUG)
     * @param levelList
     */
    public ErrorLogQuery levelList(List<String> levelList){
        this.levelList = levelList;
        return this;
    }


    /**
     * 设置 客户端运行环境变量信息
     * @param environment
     */
    public ErrorLogQuery environment(String environment){
        setEnvironment(environment);
        return this;
    }

    /**
     * 设置 客户端运行环境变量信息
     * @param environmentList
     */
    public ErrorLogQuery environmentList(List<String> environmentList){
        this.environmentList = environmentList;
        return this;
    }


    /**
     * 设置 客户端运行版本信息
     * @param releaseVersion
     */
    public ErrorLogQuery releaseVersion(String releaseVersion){
        setReleaseVersion(releaseVersion);
        return this;
    }

    /**
     * 设置 客户端运行版本信息
     * @param releaseVersionList
     */
    public ErrorLogQuery releaseVersionList(List<String> releaseVersionList){
        this.releaseVersionList = releaseVersionList;
        return this;
    }


    /**
     * 设置 指纹标识，对于相同异常事件归集数量使用。
     * @param fingerprint
     */
    public ErrorLogQuery fingerprint(String fingerprint){
        setFingerprint(fingerprint);
        return this;
    }

    /**
     * 设置 指纹标识，对于相同异常事件归集数量使用。
     * @param fingerprintList
     */
    public ErrorLogQuery fingerprintList(List<String> fingerprintList){
        this.fingerprintList = fingerprintList;
        return this;
    }


    /**
     * 设置 线程号
     * @param threadNo
     */
    public ErrorLogQuery threadNo(String threadNo){
        setThreadNo(threadNo);
        return this;
    }

    /**
     * 设置 线程号
     * @param threadNoList
     */
    public ErrorLogQuery threadNoList(List<String> threadNoList){
        this.threadNoList = threadNoList;
        return this;
    }

    /**
     * 设置  针对同一个异常事件，数量加1
     * @param checkNum
     */
    public ErrorLogQuery checkNum(Integer checkNum){
        setCheckNum(checkNum);
        return this;
    }

    /**
     * 设置 开始 针对同一个异常事件，数量加1
     * @param checkNumStart
     */
    public ErrorLogQuery checkNumStart(Integer checkNumStart){
        this.checkNumStart = checkNumStart;
        return this;
    }

    /**
     * 设置 结束 针对同一个异常事件，数量加1
     * @param checkNumEnd
     */
    public ErrorLogQuery checkNumEnd(Integer checkNumEnd){
        this.checkNumEnd = checkNumEnd;
        return this;
    }

    /**
     * 设置 增加 针对同一个异常事件，数量加1
     * @param checkNumIncrement
     */
    public ErrorLogQuery checkNumIncrement(Integer checkNumIncrement){
        this.checkNumIncrement = checkNumIncrement;
        return this;
    }

    /**
     * 设置 针对同一个异常事件，数量加1
     * @param checkNumList
     */
    public ErrorLogQuery checkNumList(List<Integer> checkNumList){
        this.checkNumList = checkNumList;
        return this;
    }


    /**
     * 设置 异常堆栈信息
     * @param errorStack
     */
    public ErrorLogQuery errorStack(String errorStack){
        setErrorStack(errorStack);
        return this;
    }

    /**
     * 设置 异常堆栈信息
     * @param errorStackList
     */
    public ErrorLogQuery errorStackList(List<String> errorStackList){
        this.errorStackList = errorStackList;
        return this;
    }


    /**
     * 设置 上下文信息，如js中发送异常事件，定位源码中信息。
     * @param context
     */
    public ErrorLogQuery context(String context){
        setContext(context);
        return this;
    }

    /**
     * 设置 上下文信息，如js中发送异常事件，定位源码中信息。
     * @param contextList
     */
    public ErrorLogQuery contextList(List<String> contextList){
        this.contextList = contextList;
        return this;
    }


    /**
     * 设置 扩展信息
     * @param extra
     */
    public ErrorLogQuery extra(String extra){
        setExtra(extra);
        return this;
    }

    /**
     * 设置 扩展信息
     * @param extraList
     */
    public ErrorLogQuery extraList(List<String> extraList){
        this.extraList = extraList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public ErrorLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public ErrorLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public ErrorLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public ErrorLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public ErrorLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ErrorLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ErrorLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ErrorLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ErrorLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}